diff --git a/policycoreutils/sepolicy/sepolicy/__init__.py b/policycoreutils/sepolicy/sepolicy/__init__.py
index 5e7415c..6152424 100644
--- a/policycoreutils/sepolicy/sepolicy/__init__.py
+++ b/policycoreutils/sepolicy/sepolicy/__init__.py
@@ -233,18 +841,58 @@ def get_os_version():
     os_version = ""
     pkg_name = "selinux-policy"
     try:
-	import commands
-	rc, output = commands.getstatusoutput("rpm -q '%s'" % pkg_name)
-	if rc == 0:
-	    os_version = output.split(".")[-2]
+        import commands
+        rc, output = commands.getstatusoutput("rpm -q '%s'" % pkg_name)
+        if rc == 0:
+            os_version = output.split(".")[-2]
     except:
-	os_version = ""
+        os_version = ""
 
     if os_version[0:2] == "fc":
-	os_version = "Fedora"+os_version[2:]
+        os_version = "Fedora"+os_version[2:]
     elif os_version[0:2] == "el":
-	os_version = "RHEL"+os_version[2:]
+        os_version = "RHEL"+os_version[2:]
     else:
-	os_version = ""
+        os_version = ""
 
     return os_version
+
+def reinit():
+    global all_attributes
+    global all_domains
+    global all_types
+    global booleans
+    global booleans_dict
+    global bools
+    global fcdict
+    global file_types
+    global local_files
+    global methods
+    global methods    
+    global portrecs
+    global portrecsbynum
+    global port_types
+    global role_allows
+    global roles
+    global login_mappings
+    global selinux_user_list
+    global user_types
+    all_attributes = None
+    all_domains = None
+    all_types = None
+    booleans = None
+    booleans_dict = None
+    bools = None
+    fcdict = None
+    file_types = None
+    local_files=None
+    methods = None
+    methods = None
+    portrecs = None
+    portrecsbynum = None
+    port_types = None
+    role_allows = None
+    roles = None
+    user_types = None
+    login_mappings = None
+    selinux_user_list = None
diff --git a/policycoreutils/sepolicy/sepolicy/communicate.py b/policycoreutils/sepolicy/sepolicy/communicate.py
index a179d95..9b9a09a 100755
--- a/policycoreutils/sepolicy/sepolicy/communicate.py
+++ b/policycoreutils/sepolicy/sepolicy/communicate.py
@@ -40,7 +40,7 @@ def expand_attribute(attribute):
 def get_types(src, tclass, perm):
     allows=search([sepolicy.ALLOW],{sepolicy.SOURCE:src,sepolicy.CLASS:tclass, sepolicy.PERMS:perm})
     if not allows:
-        raise TypeError("The %s type is not allowed to %s any types" % (src, ",".join(perm)))
+        raise ValueError("The %s type is not allowed to %s any types" % (src, ",".join(perm)))
 
     tlist = []
     for l in map(lambda y: y[sepolicy.TARGET], filter(lambda x: set(perm).issubset(x[sepolicy.PERMS]), allows)):
diff --git a/policycoreutils/sepolicy/sepolicy/generate.py b/policycoreutils/sepolicy/sepolicy/generate.py
index 26f8390..ba959ae 100644
--- a/policycoreutils/sepolicy/sepolicy/generate.py
+++ b/policycoreutils/sepolicy/sepolicy/generate.py
@@ -63,20 +63,6 @@ except IOError:
     import __builtin__
     __builtin__.__dict__['_'] = unicode
 
-user_types =  sepolicy.info(sepolicy.ATTRIBUTE,"userdomain")[0]["types"]
-methods = []
-fn = defaults.interface_info()
-try:
-    fd = open(fn)
-    # List of per_role_template interfaces
-    ifs = interfaces.InterfaceSet()
-    ifs.from_file(fd)
-    methods = ifs.interfaces.keys()
-    fd.close()
-except:
-    sys.stderr.write("could not open interface info [%s]\n" % fn)
-    sys.exit(1)
-
 def get_rpm_nvr_from_header(hdr):
     'Given an RPM header return the package NVR as a string'
     name    = hdr['name']
@@ -164,7 +150,7 @@ def get_poltype_desc():
     return msg
         
 APPLICATIONS = [ DAEMON, DBUS, INETD, USER, CGI ]
-USERS = [ XUSER, TUSER, LUSER, AUSER, EUSER, RUSER]
+USERS = [ XUSER, TUSER, LUSER, AUSER, RUSER]
 
 def verify_ports(ports):
     if ports == "":
@@ -206,7 +192,7 @@ class policy:
                     raise ValueError(_("You must enter a valid policy type"))
 
 		if not name:
-                    raise ValueError(_("You must enter a name for your policy module for your %s.") % poltype[type])
+                    raise ValueError(_("You must enter a name for your policy module for your '%s'.") % poltype[type])
                 try:
                     self.ports = get_all_ports()
                 except ValueError, e:
@@ -268,8 +254,14 @@ class policy:
                 self.symbols["fowner"] = "add_capability('fowner')"
                 self.symbols["fsetid"] = "add_capability('fsetid')"
                 self.symbols["setgid"] = "add_capability('setgid')"
+                self.symbols["setegid"] = "add_capability('setgid')"
+                self.symbols["setresgid"] = "add_capability('setgid')"
+                self.symbols["setregid"] = "add_capability('setgid')"
                 self.symbols["setresuid"] = "add_capability('setuid')"
                 self.symbols["setuid"] = "add_capability('setuid')"
+                self.symbols["seteuid"] = "add_capability('setuid')"
+                self.symbols["setreuid"] = "add_capability('setuid')"
+                self.symbols["setresuid"] = "add_capability('setuid')"
                 self.symbols["setpcap"] = "add_capability('setpcap')"
                 self.symbols["linux_immutable"] = "add_capability('linux_immutable')"
                 self.symbols["net_bind_service"] = "add_capability('net_bind_service')"
@@ -319,7 +311,7 @@ class policy:
 		self.DEFAULT_EXT["_var_log_t"] = var_log;
 		self.DEFAULT_EXT["_var_run_t"] = var_run;
 		self.DEFAULT_EXT["_var_spool_t"] = var_spool;
-		self.DEFAULT_EXT["port_t"] = network;
+		self.DEFAULT_EXT["_port_t"] = network;
 
                 self.DEFAULT_KEYS=["/etc", "/var/cache", "/var/log", "/tmp", "rw", "/var/lib", "/var/run", "/var/spool", "/etc/systemd/system", "/usr/lib/systemd/system", "/lib/systemd/system" ]
 
@@ -587,7 +579,7 @@ class policy:
         def generate_network_action(self, protocol, action, port_name):
             line = ""
             method = "corenet_%s_%s_%s" % (protocol, action, port_name)
-            if method in methods:
+            if method in sepolicy.get_methods():
                 line = "%s(%s_t)\n" % (method, self.name)
             else:
                 line = """
@@ -843,7 +835,7 @@ allow %s_t %s_t:%s_socket name_%s;
 
 	def generate_existing_user_types(self):
                 if len(self.existing_domains) == 0:
-                    raise ValueError(_("%s policy modules require existing domains") % poltype[self.type])
+                    raise ValueError(_("'%s' policy modules require existing domains") % poltype[self.type])
                 newte = re.sub("TEMPLATETYPE", self.name, user.te_existing_user_types)
                 newte += """gen_require(`"""
 
@@ -873,19 +865,21 @@ allow %s_t %s_t:%s_socket name_%s;
                 for t in self.types:
                     for i in self.DEFAULT_EXT:
                         if t.endswith(i):
+                            print t, t[:-len(i)]
                             newte += re.sub("TEMPLATETYPE", t[:-len(i)], self.DEFAULT_EXT[i].te_types)
                             break
-                return newte
 
-	def generate_new_rules(self):
-                newte = ""
-                for t in self.types:
+                if NEWTYPE and newte == "":
+                    default_ext = []
                     for i in self.DEFAULT_EXT:
-                        if t.endswith(i):
-                            newte += re.sub("TEMPLATETYPE", t[:-len(i)], self.DEFAULT_EXT[i].te_rules)
-                            break
+                        default_ext.append(i)
+                    raise ValueError(_("You need to define a new type which ends with: \n %s") % "\n ".join(default_ext)) 
+
                 return newte
 
+	def generate_new_rules(self):
+                return ""
+
 	def generate_daemon_types(self):
                 newte = re.sub("TEMPLATETYPE", self.name, executable.te_daemon_types)
                 if self.initscript != "":
@@ -1014,7 +1008,7 @@ allow %s_t %s_t:%s_socket name_%s;
 
 	def generate_roles_rules(self):
             newte = ""
-            if self.type in ( TUSER, XUSER, AUSER, LUSER, EUSER):
+            if self.type in ( TUSER, XUSER, AUSER, LUSER ):
                 roles = ""
                 if len(self.roles) > 0:
                     newte += re.sub("TEMPLATETYPE", self.name, user.te_sudo_rules)
@@ -1030,14 +1024,15 @@ allow %s_t %s_t:%s_socket name_%s;
 			if len(self.DEFAULT_DIRS[d][1]) > 0:
 				# CGI scripts already have a rw_t
 				if self.type != CGI or d != "rw":
-					newte += re.sub("TEMPLATETYPE", self.name, self.DEFAULT_DIRS[d][2].te_types)
+                                    newte += re.sub("TEMPLATETYPE", self.name, self.DEFAULT_DIRS[d][2].te_types)
 
                 if self.type != EUSER:
                     newte +="""
 ########################################
 #
 # %s local policy
-#""" % self.name
+#
+""" % self.name
                 newte += self.generate_capabilities()
                 newte += self.generate_process()
 		newte += self.generate_network_types()
@@ -1048,11 +1043,22 @@ allow %s_t %s_t:%s_socket name_%s;
 
                 for d in self.DEFAULT_KEYS:
 			if len(self.DEFAULT_DIRS[d][1]) > 0:
-				newte += re.sub("TEMPLATETYPE", self.name, self.DEFAULT_DIRS[d][2].te_rules)
-                                for i in self.DEFAULT_DIRS[d][1]:
-                                        if os.path.exists(i) and stat.S_ISSOCK(os.stat(i)[stat.ST_MODE]):
-                                            newte += re.sub("TEMPLATETYPE", self.name, self.DEFAULT_DIRS[d][2].te_stream_rules)
-                                            break
+                            if self.type == EUSER:
+                                newte_tmp = ""
+                                for domain in self.existing_domains:
+                                    newte_tmp += re.sub("TEMPLATETYPE_t", domain[:-2]+"_t", self.DEFAULT_DIRS[d][2].te_rules)
+                                    newte += re.sub("TEMPLATETYPE_rw_t", self.name+"_rw_t", newte_tmp)
+                            else:
+                                newte += re.sub("TEMPLATETYPE", self.name, self.DEFAULT_DIRS[d][2].te_rules)
+                            for i in self.DEFAULT_DIRS[d][1]:
+                                if os.path.exists(i) and stat.S_ISSOCK(os.stat(i)[stat.ST_MODE]):
+                                    if self.type == EUSER:
+                                        for domain in self.existing_domains:
+                                            newte += re.sub("TEMPLATETYPE", domain[:-2], self.DEFAULT_DIRS[d][2].te_stream_rules)
+                                        
+                                    else:
+                                        newte += re.sub("TEMPLATETYPE", self.name, self.DEFAULT_DIRS[d][2].te_stream_rules)
+                                    break
 
 		newte += self.generate_tmp_rules()
 		newte += self.generate_network_rules()
@@ -1077,19 +1083,6 @@ allow %s_t %s_t:%s_socket name_%s;
 	def generate_fc(self):
 		newfc = ""
                 fclist = []
-                if self.type in USERS +  [ SANDBOX ]:
-                    return executable.fc_user
-                if self.type != NEWTYPE and not self.program:
-                    raise ValueError(_("You must enter the executable path for your confined process"))
-
-                if self.program:
-                    t1 = re.sub("EXECUTABLE", self.program, executable.fc_program)
-                    fclist.append(re.sub("TEMPLATETYPE", self.name, t1))
-
-                if self.initscript != "":
-                    t1 = re.sub("EXECUTABLE", self.initscript, executable.fc_initscript)
-                    fclist.append(re.sub("TEMPLATETYPE", self.name, t1))
-
 		for i in self.files.keys():
                         if os.path.exists(i) and stat.S_ISSOCK(os.stat(i)[stat.ST_MODE]):
                             t1 = re.sub("TEMPLATETYPE", self.name, self.files[i][2].fc_sock_file)
@@ -1103,13 +1096,28 @@ allow %s_t %s_t:%s_socket name_%s;
 			t2 = re.sub("FILENAME", i, t1)
                         fclist.append(re.sub("FILETYPE", self.dirs[i][0], t2))
 
+                if self.type in USERS +  [ SANDBOX ]:
+                    if len(fclist) == 0:
+                        return executable.fc_user
+
+                if self.type not in USERS + [ SANDBOX, EUSER,  NEWTYPE ] and not self.program:
+                    raise ValueError(_("You must enter the executable path for your confined process"))
+
+                if self.program:
+                    t1 = re.sub("EXECUTABLE", self.program, executable.fc_program)
+                    fclist.append(re.sub("TEMPLATETYPE", self.name, t1))
+
+                if self.initscript != "":
+                    t1 = re.sub("EXECUTABLE", self.initscript, executable.fc_initscript)
+                    fclist.append(re.sub("TEMPLATETYPE", self.name, t1))
+
                 fclist.sort()
                 newfc="\n".join(fclist)
 		return newfc
 
 	def generate_user_sh(self):
             newsh = ""
-            if self.type not in ( TUSER, XUSER, AUSER, LUSER, EUSER):
+            if self.type not in ( TUSER, XUSER, AUSER, LUSER, RUSER):
                 return newsh
 
             roles = ""
@@ -1117,13 +1125,10 @@ allow %s_t %s_t:%s_socket name_%s;
                 roles += " %s_r" % role
             if roles != "":
                 roles += " system_r"
-            if self.type == EUSER:
-                tmp = re.sub("TEMPLATETYPE", self.name, script.eusers)
-            else:
-                tmp = re.sub("TEMPLATETYPE", self.name, script.users)
+            tmp = re.sub("TEMPLATETYPE", self.name, script.users)
             newsh += re.sub("ROLES", roles, tmp)
 
-            if self.type == RUSER:
+            if self.type == RUSER or self.type == AUSER:
                 for u in self.transition_users:
                     tmp =  re.sub("TEMPLATETYPE", self.name, script.admin_trans)
                     newsh += re.sub("USER", u, tmp)
@@ -1143,6 +1148,8 @@ allow %s_t %s_t:%s_socket name_%s;
                     newsh  = re.sub("TEMPLATEFILE", "%s" % self.file_name, temp)
                 else:
                     newsh  = re.sub("TEMPLATEFILE", self.file_name, temp)
+                    newsh += re.sub("DOMAINTYPE", self.name, script.manpage)
+                
                 if self.program:
                     newsh += re.sub("FILENAME", self.program, script.restorecon)
                 if self.initscript != "":
@@ -1165,6 +1172,7 @@ allow %s_t %s_t:%s_socket name_%s;
 			newsh += re.sub("TEMPLATETYPE", self.name, t1)
 
                 newsh += self.generate_user_sh()
+                newsh += re.sub("TEMPLATEFILE", self.file_name, script.rpm)
 
 		return newsh
 
@@ -1198,7 +1206,13 @@ allow %s_t %s_t:%s_socket name_%s;
 		if self.type not in APPLICATIONS:
                     newspec = re.sub("%relabel_files", "", newspec) 
                     
-		return newspec
+                # Remove man pages from EUSER spec file
+                if self.type == EUSER:
+                    newspec = re.sub(".*%s_selinux.8.*" % self.name,"", newspec)
+                # Remove user context file from non users spec file
+                if self.type not in ( TUSER, XUSER, AUSER, LUSER, RUSER):
+                    newspec = re.sub(".*%s_u.*" % self.name,"", newspec)
+                return newspec
 
 	def write_spec(self, out_dir):
 		specfile = "%s/%s_selinux.spec" % (out_dir, self.file_name)
@@ -1349,6 +1363,7 @@ Warning %s does not exist
             out += "%s # %s\n" % (self.write_te(out_dir), _("Type Enforcement file"))
             out += "%s # %s\n" % (self.write_if(out_dir), _("Interface file"))
             out += "%s # %s\n" % (self.write_fc(out_dir), _("File Contexts file"))
-            out += "%s # %s\n" % (self.write_spec(out_dir), _("Spec file"))
-            out += "%s # %s\n" % (self.write_sh(out_dir), _("Setup Script"))
+            if self.type != NEWTYPE:
+                out += "%s # %s\n" % (self.write_spec(out_dir), _("Spec file"))
+                out += "%s # %s\n" % (self.write_sh(out_dir), _("Setup Script"))
             return out
diff --git a/policycoreutils/sepolicy/sepolicy/interface.py b/policycoreutils/sepolicy/sepolicy/interface.py
index 8b063ca..53e4dc2 100644
--- a/policycoreutils/sepolicy/sepolicy/interface.py
+++ b/policycoreutils/sepolicy/sepolicy/interface.py
@@ -21,15 +21,12 @@
 #                                        02111-1307  USA
 #
 #
-import re
-
-import sepolgen.interfaces as interfaces
-import sepolgen.defaults as defaults
+import re, sys
+import sepolicy
 ADMIN_TRANSITION_INTERFACE = "_admin$"
 USER_TRANSITION_INTERFACE = "_role$"
-from sepolicy.generate import get_all_types
 
-__all__ = [ 'get', 'get_admin', 'get_user' ]
+__all__ = [ 'get_all_interfaces', 'get_interfaces_from_xml', 'get_admin', 'get_user' ,'get_interface_dict', 'get_interface_format_text', 'get_interface_compile_format_text', 'get_xml_file', 'interface_compile_test' ]
 
 ##
 ## I18N
@@ -48,34 +45,173 @@ except IOError:
     import __builtin__
     __builtin__.__dict__['_'] = unicode
 
-def get():
-    """ Get all Methods """
-    fn = defaults.interface_info()
-    try:
-        fd = open(fn)
-        ifs = interfaces.InterfaceSet()
-        ifs.from_file(fd)
-        methods = ifs.interfaces.keys()
-        fd.close()
-    except:
-        raise ValueError(_("could not open interface info [%s]\n") % fn)
-
-    return methods
-
-def get_admin():
-    """ Get all domains with an admin interface"""
+def get_interfaces_from_xml(path):
+    """ Get all interfaces from given xml file"""
+    interfaces_list = []
+    idict = get_interface_dict(path)
+    for k in idict.keys():
+        interfaces_list.append(k)
+    return interfaces_list
+
+
+def get_all_interfaces(path=""):
+    from sepolicy import get_methods
+    all_interfaces = []
+    if not path:
+        all_interfaces = get_methods()
+    else:
+        xml_path = get_xml_file(path)
+        all_interfaces = get_interfaces_from_xml(xml_path)
+
+    return all_interfaces
+
+def get_admin(path=""):
+    """ Get all domains with an admin interface from installed policy."""
+    """ If xml_path is specified, func returns an admin interface from specified xml file"""
     admin_list = []
-    for i in get():
-        if i.endswith("_admin"):
-            admin_list.append(i.split("_admin")[0])
+    if path:
+        try:
+            xml_path = get_xml_file(path)
+            idict = get_interface_dict(xml_path)
+            for k in idict.keys():
+                if k.endswith("_admin"):
+                    admin_list.append(k)    
+        except IOError, e:
+            sys.stderr.write("%s: %s\n" % (e.__class__.__name__, str(e)))
+            sys.exit(1)
+    else:
+        for i in sepolicy.get_methods():
+            if i.endswith("_admin"):
+                admin_list.append(i.split("_admin")[0])
+
     return admin_list
 
-def get_user():
+def get_user(path=""):
     """ Get all domains with SELinux user role interface"""
+    """ If xml_path is specified, func returns an user role interface from specified xml file"""
     trans_list = []
-    for i in get():
-        m = re.findall("(.*)%s" % USER_TRANSITION_INTERFACE, i)
-        if len(m) > 0:
-            if "%s_exec_t" % m[0] in get_all_types():
-                trans_list.append(m[0])
+    if path:
+        try:
+            xml_path = get_xml_file(path)
+            idict = get_interface_dict(xml_path)
+            for k in idict.keys():
+                if k.endswith("_role"):
+                    if (("%s_exec_t" % k[:-5]) in sepolicy.get_all_types()):
+                        trans_list.append(k)
+        except IOError, e:
+            sys.stderr.write("%s: %s\n" % (e.__class__.__name__, str(e)))
+            sys.exit(1)
+    else:
+        for i in sepolicy.get_methods():
+            m = re.findall("(.*)%s" % USER_TRANSITION_INTERFACE, i)
+            if len(m) > 0:
+                if "%s_exec_t" % m[0] in sepolicy.get_all_types():
+                    trans_list.append(m[0])
+
     return trans_list
+
+interface_dict = None
+def get_interface_dict(path="/usr/share/selinux/devel/policy.xml"):
+    global interface_dict
+    import os
+    import xml.etree.ElementTree
+    if interface_dict:
+        return interface_dict
+
+    interface_dict = {}
+    param_list = []
+
+    xml_path = """<?xml version="1.0" encoding="ISO-8859-1" standalone="no"?>
+<policy>
+<layer name="admin">
+"""
+    xml_path += path
+    xml_path +="""
+</layer>
+</policy>
+"""
+
+    try:
+        if os.path.isfile(path):
+            tree = xml.etree.ElementTree.parse(path)
+        else:
+            tree = xml.etree.ElementTree.fromstring(xml_path)
+        for l in tree.findall("layer"):
+            for m in l.findall("module"):
+                for i in m.getiterator('interface'):
+                    for e in i.findall("param"):
+                        param_list.append(e.get('name'))
+                    interface_dict[(i.get("name"))] = [param_list,(i.find('summary').text),"interface"]
+                    param_list = []
+                for i in m.getiterator('template'):
+                    for e in i.findall("param"):
+                        param_list.append(e.get('name'))
+                    interface_dict[(i.get("name"))] = [param_list,(i.find('summary').text),"template"]
+                    param_list = []
+    except IOError, e:
+        pass
+    return interface_dict
+
+def get_interface_format_text(interface,path = "/usr/share/selinux/devel/policy.xml"):
+    idict = get_interface_dict(path)
+    interface_text = "%s(%s) %s" % (interface, ", ".join(idict[interface][0]), " ".join(idict[interface][1].split("\n")))
+
+    return interface_text
+
+def get_interface_compile_format_text(interfaces_dict, interface):
+    from templates import test_module
+    param_tmp = []
+    for i in interfaces_dict[interface][0]:
+        param_tmp.append(test_module.dict_values[i])
+        interface_text = "%s(%s)\n" % (interface, ", ".join(param_tmp))
+
+    return interface_text
+
+def generate_compile_te(interface, idict, name="compiletest"):
+    from templates import test_module
+    te = ""
+    te += re.sub("TEMPLATETYPE", name, test_module.te_test_module )
+    te += get_interface_compile_format_text(idict,interface)
+
+    return te
+
+def get_xml_file(if_file):
+    """ Returns xml format of interfaces for given .if policy file"""
+    import os, commands
+    basedir = os.path.dirname(if_file)+"/"
+    filename = os.path.basename(if_file).split(".")[0]
+    rc, output=commands.getstatusoutput("python /usr/share/selinux/devel/include/support/segenxml.py -w -m %s" % basedir+filename)
+    if rc != 0:
+        sys.stderr.write("\n Could not proceed selected interface file.\n")
+        sys.stderr.write("\n%s" % output)
+        sys.exit(1)
+    else:
+        return output
+
+def interface_compile_test(interface, path = "/usr/share/selinux/devel/policy.xml"):
+    exclude_interfaces = ["userdom","kernel","corenet","files", "dev"]
+    exclude_interface_type = ["template"]
+
+    import commands, os
+    policy_files = {'pp':"compiletest.pp", 'te':"compiletest.te", 'fc':"compiletest.fc", 'if':"compiletest.if"}
+    idict = get_interface_dict(path)
+
+    if not (interface.split("_")[0] in exclude_interfaces or idict[interface][2] in exclude_interface_type):
+        print(_("Compiling %s interface" % interface))
+        try:
+            fd = open(policy_files['te'], "w")
+            fd.write(generate_compile_te(interface, idict))
+            fd.close()
+            rc, output=commands.getstatusoutput("make -f /usr/share/selinux/devel/Makefile %s" % policy_files['pp'] )
+            if rc != 0:
+                sys.stderr.write(output)
+                sys.stderr.write(_("\nCompile test for %s failed.\n") % interface)
+
+        except EnvironmentError, e:
+            sys.stderr.write(_("\nCompile test for %s has not run. %s\n") % (interface, e))
+        for v in policy_files.values():
+            if os.path.exists(v):
+                os.remove(v)
+
+    else:
+        sys.stderr.write(_("\nCompiling of %s interface is not supported." % interface))
